%global gem_name proxifier

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Proxifier is a gem to force ruby to use a proxy
Group: Development/Languages
License:  MIT
URL: https://github.com/samuelkadolph/ruby-proxifier
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: rubygem-proxifier.1.0.3.usr_bin_ruby.patch
BuildRequires: rubygems-devel
BuildArch: noarch

%description
Proxifier adds support for HTTP or SOCKS proxies and lets you force TCPSocket
to use proxies.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%patch0 -p1 

gem build %{gem_name}.gemspec
%gem_install

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{_bindir}/pirb
%{_bindir}/pruby
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 17 2016 Yanis Guenane <yguenane@redhat.com> - 1.0.3-1
- Initial package
